DefinitiveSoftwareLibrary (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.DefinitiveSoftwareLibrary interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app
Interface DefinitiveSoftwareLibrary

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface DefinitiveSoftwareLibrary

extends LogicalElement

Naming Rules:
  0="DSLName" 1="managedSystemName"
Persistable:
  true
Table Name:
  DSL
Top Level:
  true
Display Name:
  DSLName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAssetID()`
`java.lang.String` | `getAssetTag()`
`java.lang.String` | `getCICategory()`
`java.lang.String` | `getDSLName()`
`SoftwareImage[]` | `getImages()`
`int` | `getLastAuditState()`
`long` | `getLastAuditTime()`
`long` | `getLastLifecycleStateTime()`
`int` | `getLifecycleState()`
`OrganizationalEntity` | `getPrimaryOwner()`
`boolean` | `hasAssetID()`
`boolean` | `hasAssetTag()`
`boolean` | `hasCICategory()`
`boolean` | `hasDSLName()`
`boolean` | `hasImages()`
`boolean` | `hasLastAuditState()`
`boolean` | `hasLastAuditTime()`
`boolean` | `hasLastLifecycleStateTime()`
`boolean` | `hasLifecycleState()`
`boolean` | `hasPrimaryOwner()`
`void` | `setAssetID(java.lang.String s)`
`void` | `setAssetTag(java.lang.String s)`
`void` | `setCICategory(java.lang.String cat)`
`void` | `setDSLName(java.lang.String s)`
`void` | `setImages(SoftwareImage[] images)`
`void` | `setLastAuditState(int state)`
`void` | `setLastAuditTime(long time)`
`void` | `setLastLifecycleStateTime(long time)`
`void` | `setLifecycleState(int state)`
`void` | `setPrimaryOwner(OrganizationalEntity owner)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getDSLName

    java.lang.String getDSLName()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDSLName

    void setDSLName(java.lang.String s)

### hasDSLName

    boolean hasDSLName()

### getImages

    SoftwareImage[] getImages()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.StoredOn" reverse="true"

### setImages

    void setImages(SoftwareImage[] images)

### hasImages

    boolean hasImages()

### getPrimaryOwner

    OrganizationalEntity getPrimaryOwner()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Owns" reverse="false"

### setPrimaryOwner

    void setPrimaryOwner(OrganizationalEntity owner)

### hasPrimaryOwner

    boolean hasPrimaryOwner()

### getCICategory

    java.lang.String getCICategory()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCICategory

    void setCICategory(java.lang.String cat)

### hasCICategory

    boolean hasCICategory()

### getLifecycleState

    int getLifecycleState()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLifecycleState

    void setLifecycleState(int state)

### hasLifecycleState

    boolean hasLifecycleState()

### getLastAuditState

    int getLastAuditState()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLastAuditState

    void setLastAuditState(int state)

### hasLastAuditState

    boolean hasLastAuditState()

### getLastAuditTime

    long getLastAuditTime()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLastAuditTime

    void setLastAuditTime(long time)

### hasLastAuditTime

    boolean hasLastAuditTime()

### getLastLifecycleStateTime

    long getLastLifecycleStateTime()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLastLifecycleStateTime

    void setLastLifecycleStateTime(long time)

### hasLastLifecycleStateTime

    boolean hasLastLifecycleStateTime()

### getAssetTag

    java.lang.String getAssetTag()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAssetTag

    void setAssetTag(java.lang.String s)

### hasAssetTag

    boolean hasAssetTag()

### getAssetID

    java.lang.String getAssetID()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAssetID

    void setAssetID(java.lang.String s)

### hasAssetID

    boolean hasAssetID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD